package cn.ecpark.service.usergw.biz.filters.bean;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.LinkedList;
import java.util.List;
import java.util.concurrent.BlockingQueue;
import java.util.concurrent.LinkedBlockingQueue;
import java.util.concurrent.TimeUnit;
import java.util.concurrent.locks.Condition;
import java.util.concurrent.locks.Lock;
import java.util.concurrent.locks.ReentrantLock;

import org.apache.dubbo.config.ReferenceConfig;
import org.apache.dubbo.rpc.service.GenericService;

import lombok.extern.slf4j.Slf4j;

/**
 * GenericServicePool
 */
@Slf4j
public class GenericServicePool {

    HashMap<String, GenericService> gsDictionary;

    public GenericServicePool() {
        gsDictionary = new HashMap<String, GenericService>();
    }

    public GenericService get(String key) {
        return gsDictionary.get(key);
    }

    public void put(String key, GenericService genericService) {
        gsDictionary.put(key, genericService);
    }

    // public boolean contains(String key) {
    //     return gsDictionary.containsKey(key);
    // }
}